Bug 613796 - openssh: Add support for registering ConsoleKit sessions on login
Summary: openssh: Add support for registering ConsoleKit sessions on login
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssh
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan F. Chadima
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-12 20:31 UTC by Miroslav Vadkerti
Modified: 2010-11-22 21:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-22 21:14:51 UTC


Attachments (Terms of Use)

Description Miroslav Vadkerti 2010-07-12 20:31:52 UTC
Description of problem:
This bug is opened because of the problem described in bug 609799. openssh need to integrate Consolekit registration. Seems that this is already solved in ubuntu:

http://launchpadlibrarian.net/12603631/openssh.consolekit.patch

discussion:
https://bugs.launchpad.net/xinit/+bug/199486

Version-Release number of selected component (if applicable):
openssh-5.3p1-18.el6

How reproducible:
always

Steps to Reproduce:
1. ssh -X into RHEL6 machine
2. launch s-c-firewall
  
Actual results:
s-c-firewall shows polkit error

Expected results:
s-c-firewall works

Additional info:

Comment 2 Jan F. Chadima 2010-07-29 09:59:00 UTC
Have been sent this patch to upstream? Is there some upstream comments yo this patch?

Comment 3 Miroslav Vadkerti 2010-07-29 11:15:55 UTC
I don't know, could you please check, I never used upstream bug tracker for openssh. Anyway I would like to see this in RHEL6.1 and have proper test cases to test if this is working.

Comment 4 Jan F. Chadima 2010-07-29 12:15:28 UTC
From security reasons it's impossible to add some functionality to openssh until it has positive feedback from upstream.

Comment 5 Miroslav Vadkerti 2010-07-30 08:32:42 UTC
Here is the upstream bug and it is 2 years old :(
https://bugzilla.mindrot.org/show_bug.cgi?id=1450

Comment 6 Jan F. Chadima 2010-08-02 08:12:06 UTC
according to https://bugzilla.mindrot.org/show_bug.cgi?id=1450#c4 this patch should be rewritten for various reasons.

Comment 8 Steve Grubb 2010-11-22 21:05:32 UTC
I don't think its a good idea to connect dbus and openssh. However, I would suggest looking to see if a pam module could be written that registers the login with consolekit.

Comment 9 RHEL Product and Program Management 2010-11-22 21:14:51 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.